# example config file for bluebox distributor
# version 0.3.2 date 2007-07-18
# Copyright (C) 2006-2007 Stefan Schuermans <stefan@blinkenarea.org>
# Copyleft: GNU public license V2.0 - http://www.gnu.org/copyleft/gpl.html
# a BlinkenArea project - http://www.blinkenarea.org/

BLINKENLIB_INCLUDE_DIR = /usr/local/include/BlinkenLib
BLINKENLIB_LIB_DIR = /usr/local/lib

CC = gcc
CFLAGS = -W -Wall -I$(BLINKENLIB_INCLUDE_DIR) -O2
LFLAGS = -lm -L$(BLINKENLIB_LIB_DIR)
LIBS = -lBlinkenLib

all: blue_dist

bd_config.o: bd_config.c bd_config.h tools.h
	$(CC) $(CFLAGS) -c -o bd_config.o bd_config.c

bd_fmt.o: bd_fmt.c bd_config.h bd_fmt.h
	$(CC) $(CFLAGS) -c -o bd_fmt.o bd_fmt.c

config.o: config.c config.h
	$(CC) $(CFLAGS) -c -o config.o config.c

protocols.o: protocols.c bd_fmt.h protocols.h
	$(CC) $(CFLAGS) -c -o protocols.o protocols.c

main.o: main.c bd_config.h bd_fmt.h protocols.h
	$(CC) $(CFLAGS) -c -o main.o main.c

blue_dist: bd_config.o bd_fmt.o config.o main.o protocols.o
	$(CC) $(LFLAGS) -o blue_dist bd_config.o bd_fmt.o config.o main.o protocols.o $(LIBS)

clean:
	rm -rf *.o blue_dist
